<script setup>
import data from '@/json/contact.json'

const runtimeConfig = useRuntimeConfig()
useHead({
    title: `${runtimeConfig.public.pageTitle}  تماس با ما `
})
</script>

<template>
    <div class="ContactUs">
        <v-container>
            <v-row>
                <v-col cols="12">
                    <h2>{{ data.title }}</h2>
                    <p>{{ data.text }}</p>
                    <h3>{{ data.post_text }}</h3>
                </v-col>
            </v-row>
            <v-row>
                <v-col cols="md-12" sm="12">
                    <v-card class="px-lg-16 px-6">
                        <ContactForm />
                    </v-card>
                </v-col>
                <v-col cols="md-12" sm="12" v-for="(item, index) in data.items" :key="index">
                    <v-card>
                        <v-card-title class="font-weight-bold pa-0 mb-5">{{ item.title }}</v-card-title>
                        <v-card-text class="d-flex pa-0">
                            <v-row>
                                <v-col cols="md-6" sm="12">
                                    <div class="d-flex align-center mb-3">
                                        <BootstrapIcon class="text-grey-darken-3 text-h6 me-2" name="geo-alt-fill" />
                                        <span class="text-grey-darken-1 text-h6 title">آدرس</span>
                                    </div>
                                    <span class="text-grey-darken-4 text-subtitle-2">{{ item.address }}</span>
                                </v-col>
                                <v-col cols="md-3" sm="6">
                                    <div class="d-flex align-center mb-3">
                                        <BootstrapIcon class="text-grey-darken-3 text-h6 me-2" name="telephone-fill" />
                                        <span class="text-grey-darken-1 text-h6 title">تلفن</span>
                                    </div>
                                    <span class="text-grey-darken-4  text-subtitle-2">{{ item.phone }}</span>
                                </v-col>
                                <v-col cols="md-3" sm="6">
                                    <div class="d-flex align-center mb-3">
                                        <BootstrapIcon class="text-grey-darken-3 text-h6 me-2" name="envelope-fill" />
                                        <span class="text-grey-darken-1 text-h6 title">پست الکترونیکی</span>
                                    </div>
                                    <span class="text-grey-darken-4  text-subtitle-2">{{ item.email }}</span>
                                </v-col>
                            </v-row>
                        </v-card-text>
                    </v-card>
                </v-col>
                <v-col cols="md-12" sm="12" class="pa-0">
                    <SocialMedia class="justify-center mt-7" />
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>

<style lang="scss">
.ContactUs {
    padding: 52px 0 0 0;

    .v-card {
        background: #fff;
        padding: 45px 30px 45px 30px;
        border-radius: 16px;
        box-shadow: 0 10px 15px rgba(58, 112, 191, .1);

        .v-form {
            .v-col-md-6 {
                padding-bottom: 0;
            }
        }

        .custom-tel-input {
            padding: 5px 0;
        }

        .v-card-text {
            span {
                font-family: IRANSansX !important;
            }
        }
    }

    h2 {
        font-weight: 700;
        font-size: 24px;
        line-height: 37px;
        text-align: center;
        color: #3B5099;
        width: 100%;
        margin-bottom: 28px;
    }

    h3 {
        font-weight: 700;
        font-size: 24px;
        line-height: 37px;
        text-align: center;
        color: #3B5099;
        width: 100%;
        margin-bottom: 28px;
    }

    p {
        font-weight: 700;
        font-size: 14px;
        line-height: 33px;
        text-align: center;
        color: #808080;
        margin-bottom: 28px;
    }


    @media only screen and (max-width:360px) {
        & {
            padding-top: 0;

            .v-card {
                padding: 20px 20px;

                .v-card-title {
                    font-size: 18px !important;
                    margin-bottom: 5px !important;
                }

                .v-card-text {
                    .title {
                        font-size: 16px !important;
                    }
                }
            }

            h2 {
                font-size: 16px;
                line-height: 25px;
                margin-bottom: 12px;
            }

            h3 {
                font-size: 14px;
                line-height: 25px;
                margin-bottom: 0;
            }

            p {
                font-size: 12px;
                line-height: 33px;
                margin-bottom: 10px;
            }
        }
    }

}</style>